//< 1. Property 7 >===========================================================================================//<   1>
                                                                                                              //<   2>
#property       copyright                "Copyright (C) 2023, MetaQuotes Software Corp."                      //<   3>
#property       link                     "http://www.metaquotes.net"                                          //<   4>
                                                                                                              //<   5>
#define         A_System_Series          "AIS"                                                                //<   6>
#define         A_System_Modification    "70302"                                                              //<   7>
#define         A_System_ReleaseDate     "2023.10.24"                                                         //<   8>
#define         A_System_Program         "Vertical Grid Plotter"                                              //<   9>
#define         A_System_Programmer      "AIS AIRAT SAFIN                              mql5.com/en/users/AIS" //<  10>
                                                                                                              //<  11>
//</1. Property 7 >===========================================================================================//<  12>
////////////////////////////////////////////////////////////////////////////////////////////////////////////////<  13>
//< 2. Constants 1 >==========================================================================================//<  14>
                                                                                                              //<  15>
#define         acs_VGPrefix             "AVGL_"                                                              //<  16>
                                                                                                              //<  17>
//</2. Constants 1 >==========================================================================================//<  18>
////////////////////////////////////////////////////////////////////////////////////////////////////////////////<  19>
//< 3. Presets 7 >============================================================================================//<  20>
                                                                                                              //<  21>
#property       show_inputs                                                                                   //<  22>
                                                                                                              //<  23>
extern datetime aet_VGLeft             = D'2023.10.01 00:00'                                                ; //<  24>
extern int      aei_VGStep             = 1440                                                               ; //<  25>
extern datetime aet_VGRight            = D'2023.11.01 00:00'                                                ; //<  26>
                                                                                                              //<  27>
extern color    aei_VGColor            = Yellow                                                             ; //<  28>
extern int      aei_VGStyle            = 2                                                                  ; //<  29>
extern int      aei_VGBackground       = 0                                                                  ; //<  30>
                                                                                                              //<  31>
//</3. Presets 7 >============================================================================================//<  32>
////////////////////////////////////////////////////////////////////////////////////////////////////////////////<  33>
//< 4. Main Program 8 >=======================================================================================//<  34>
                                                                                                              //<  35>
void   OnStart                        ()                                                                      //<  36>
{                                                                                                             //<  37>
                                                                                                              //<  38>
for  ( int ali_Time  = aet_VGLeft      ; ali_Time     <= aet_VGRight    ; ali_Time += aei_VGStep * 60     )   //<  39>
     {                                                                                                        //<  40>
       string          als_VGLineName  = acs_VGPrefix  + TimeToStr      ( ali_Time                        ) ; //<  41>
       ObjectCreate  ( als_VGLineName  , OBJ_VLINE     , 0              , ali_Time  , 0                   ) ; //<  42>
       ObjectSet     ( als_VGLineName  , OBJPROP_COLOR                  , aei_VGColor                     ) ; //<  43>
       ObjectSet     ( als_VGLineName  , OBJPROP_STYLE                  , aei_VGStyle                     ) ; //<  44>
       ObjectSet     ( als_VGLineName  , OBJPROP_BACK                   , aei_VGBackground                ) ; //<  45>
     } // for                                                                                                 //<  46>
                                                                                                              //<  37>
}                                                                                                             //<  48>
//</4. Main Program 8 >=======================================================================================//<  49>